unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AHMDialogClass, AHMTAppletDialog, ExtCtrls, Buttons, StdCtrls;

type
  TForm1 = class(TForm)
    AHMAppletDialog1: TAHMAppletDialog;
    Image1: TImage;
    Image3: TImage;
    Bevel1: TBevel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Button1: TButton;
    Button2: TButton;
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Image1Click(Sender: TObject);
begin
  with AHMAppletDialog1 do
  begin
    if Sender=Image1 then AppletType:=apBDEAdmin;
    if Sender=Button1 then AppletType:=apDateTime;
    if Sender=Image3 then
    begin
      if SpeedButton1.Down then AppletTab:=0 else
      if SpeedButton2.Down then AppletTab:=1 else
      if SpeedButton3.Down then AppletTab:=2;
      AppletType:=apSystem;
    end;
    if Sender=Button2 then AppletType:=apControlpanel;
    Execute;
  end;
end;

end.
